<?
    /*  
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
	
	Autores: Pedro Obregn Mejas
			 Rubn D. Mancera Morn
	Versin: 1.0
	Fecha Liberacin del cdigo: 13/07/2004
	Galopn para gnuLinEx 2004 -- Extremadura		 
	
	*/
	
?>
<html>
<head>
<title>Galopin v1.0</title>
<link href="estilo.css" rel="stylesheet" type="text/css">
</head>

<body>
<?
  include ("conectar.php");

     //Comprobamos que el precio de venta al pblico es correcto.
  
     // 1 Comprobamos comas y puntos
     $pvp = str_replace(",",".",$pvp);

     //Comprobamos que no hay caracteres en el precio de venta al pblico.
	 if (!preg_match("/^[0-9]*(.[0-9]{0,4})?$/", $pvp))
       {
         $error = $error . "<li>El precio de venta al pblico contiene caracteres</li><br>";
       }
	   
     //Comprobamos que el stock es correcto.
  
     // 1 Comprobamos comas y puntos
     $stock = str_replace(",",".",$stock);

     //Comprobamos que no hay caracteres en el precio de venta al pblico.
	 if (!preg_match("/^[0-9]*(.[0-9]{0,4})?$/", $stock))
       {
         $error = $error . "<li>El stock contiene caracteres</li><br>";
       }

     //Comprobamos los bajominimos
  
     // 1 Comprobamos comas y puntos
     $bajominimos = str_replace(",",".",$bajominimos);

     //Comprobamos que no hay caracteres en el precio de venta al pblico.
	 if (!preg_match("/^[0-9]*(.[0-9]{0,4})?$/", $bajominimos))
       {
         $error = $error . "<li>El bajominimo contiene caracteres</li><br>";
       }

  if (strlen($codigo)<6) 
  
  {
     $error = $error . "<li>El cdigo debe tener 6 dgitos obligatoriamente<br>"; 
  };
  
  //obtenermos los valores de la familia, subfamilia y cdigo del artculo
  $familia = substr($codigo,0,2);
  $subfamilia = substr($codigo,2,2);
  $codigoarticulo = substr($codigo,4,2);
  
  //comprobamos que existe dicha familia y subfamilia
  
  $consulta = "Select * from familia where codigo='$familia'";
  $query = mysql_query($consulta);
  $total = mysql_num_rows($query);
  
  if ($total==0)
  {
    $error = $error . "<li>La familia que ha introducido no existe en la Base de Datos.<br>"; 
  }
  else
  {
    $fila = mysql_fetch_row($query);
	$idfamilia = $fila[0];
	
	//Ahora que sabemos que existe la familia, comprobamos la subfamilia
	$consulta = "Select * from subfamilia where codigo='$subfamilia' and idfamilia=$familia ";
    $query = mysql_query($consulta);
    $total = mysql_num_rows($query);
  
    if ($total==0)
        {
          $error = $error . "<li>La subfamilia que ha introducido no existe en dicha familia.<li>"; 
        }; 
  };
 

  //fin de comprobaciones de familia y subfamilia
  
  
  if ($error=="")
     {
	 
	 //comprobamos si ya existe ese artculo en esa familia y dicha subfamilia
	 
	 $consulta = "select * from articulos where codfamilia='$familia' and codsubfamilia='$subfamilia' and codigo='$codigoarticulo'";	 
	 $query = mysql_query($consulta);
	 $existe = mysql_num_rows($query);
	 
	 if ($existe<>0)
	     {
		    if (($pvp<>"") or ($stock<>"") or ($bajominimos<>""))
			 {
    		   $consulta = "update articulos set ";
			   
			   $inicio=0;
               if ($pvp<>"")
			    {
				  $consulta = $consulta . " pvp=$pvp";
				  $inicio=1;
				}
				if ($stock<>"")
				{
				  if ($inicio==0)
				     {
					   $consulta = $consulta . " stock=$stock";
					   $inicio=1;
					 }
				  else
				     {
					   $consulta = $consulta . " ,stock=$stock"; 
					   $inicio=1;
					 }	 
				}
				if ($bajominimos<>"")
				{
				   if ($inicio==0)
				     {
					   $consulta = $consulta . " bajominimo=$bajominimos";
					   $inicio=1;					 
					 }
				   else
				     {
					   $consulta = $consulta . " ,bajominimo=$bajominimos";
					   $inicio=1;					    
					 }	 
				}
				
			   
			   $consulta = $consulta . " where codfamilia='$familia' and codsubfamilia='$subfamilia' and codigo='$codigoarticulo'";
			   $query = mysql_query($consulta);
			   header("Location: ges_articulos.php");		   
			 }
		 }
	 else
	     {
                  //
				  //mostramos el mensaje de errores
				  //
				  $loguito="logomensaje.jpg";
                  $cabecera="articulos.jpg";
                  $texto="Ese artculo no existe<br>";
				
                  $actionimp="";
                  $namevar="";
                  $valuevar=$id;				
                  $valueimp="Imprimir Artculos";
				
                  $actionv="ges_articulos.php";
                  $valuev="Administracin de artculos";
                  include ("mensaje.php");					  
		 };	 
	 
	 }
	 
  else
     {
                  //
				  //mostramos el mensaje de errores
				  //
				  $loguito="logomensaje.jpg";
                  $cabecera="articulos.jpg";
                  $texto="Errores: " . $error;
				
                  $actionimp="";
                  $namevar="";
                  $valuevar=$id;				
                  $valueimp="Imprimir Artculos";
				
                  $actionv="ges_articulos.php";
                  $valuev="Administracin de artculos";
                  include ("mensaje.php");			
     };	 
  
?>

</body>
</html>
