# phpMyAdmin SQL Dump
# version 2.5.7-pl1
# http://www.phpmyadmin.net
#
# Servidor: localhost
# Tiempo de generacin: 12-07-2004 a las 11:40:33
# Versin del servidor: 4.0.20
# Versin de PHP: 4.3.4
# 
# Base de datos : `galopin`
# 

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `albalinea`
#

CREATE TABLE `albalinea` (
  `codalbaran` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codalbaran`,`numlinea`)
) TYPE=MyISAM  AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `albalineap`
#

CREATE TABLE `albalineap` (
  `codalbaran` varchar(12) NOT NULL default '',
  `codproveedor` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` float NOT NULL default '0',
  PRIMARY KEY  (`codalbaran`,`numlinea`,`codproveedor`)
) TYPE=MyISAM  AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `albalineaptmp`
#

CREATE TABLE `albalineaptmp` (
  `codalbaran` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` float NOT NULL default '0',
  PRIMARY KEY  (`codalbaran`,`numlinea`)
) TYPE=MyISAM  AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `albalineatmp`
#

CREATE TABLE `albalineatmp` (
  `codalbaran` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codalbaran`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `albaranes`
#

CREATE TABLE `albaranes` (
  `codalbaran` int(11) NOT NULL auto_increment,
  `codfactura` int(11) NOT NULL default '0',
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codcliente` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codalbaran`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `albaranesp`
#

CREATE TABLE `albaranesp` (
  `codalbaran` varchar(12) NOT NULL default '',
  `codfactura` varchar(12) NOT NULL default '0',
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codproveedor` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codalbaran`,`codproveedor`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `albaranesptmp`
#

CREATE TABLE `albaranesptmp` (
  `codalbaran` int(11) NOT NULL auto_increment,
  `codfactura` int(11) NOT NULL default '0',
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codproveedor` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codalbaran`,`codproveedor`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `albaranestmp`
#

CREATE TABLE `albaranestmp` (
  `codalbaran` int(11) NOT NULL auto_increment,
  `codfactura` int(11) NOT NULL default '0',
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codcliente` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codalbaran`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `articulos`
#

CREATE TABLE `articulos` (
  `id` int(11) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `descripcion` text NOT NULL,
  `detalles` longtext,
  `pvp` float NOT NULL default '0',
  `foto` text,
  `stock` float NOT NULL default '0',
  `bajominimo` float NOT NULL default '0',
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `artpro`
#

CREATE TABLE `artpro` (
  `idarticulo` int(11) NOT NULL default '0',
  `idproveedor` int(11) NOT NULL default '0',
  `precio` float NOT NULL default '0',
  KEY `idarticulo` (`idarticulo`,`idproveedor`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `artprotmp`
#

CREATE TABLE `artprotmp` (
  `idproveedor` int(11) NOT NULL default '0',
  `codfact` varchar(12) NOT NULL default '',
  `codalb` varchar(12) NOT NULL default '',
  `idarticulo` int(11) NOT NULL default '0',
  `precio` float NOT NULL default '0',
  PRIMARY KEY  (`idproveedor`,`codfact`,`codalb`,`idarticulo`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `clientes`
#

CREATE TABLE `clientes` (
  `codcliente` int(11) NOT NULL auto_increment,
  `nombre` tinytext NOT NULL,
  `nif` tinytext NOT NULL,
  `fechaalta` date NOT NULL default '0000-00-00',
  `direccion` tinytext NOT NULL,
  `localidad` tinytext NOT NULL,
  `cp` tinytext NOT NULL,
  `codprovincia` tinyint(4) NOT NULL default '0',
  `telefono` tinytext NOT NULL,
  `fax` tinytext NOT NULL,
  `movil` tinytext NOT NULL,
  `web` tinytext NOT NULL,
  `email` tinytext NOT NULL,
  `cuenta` mediumtext NOT NULL,
  `observaciones` text NOT NULL,
  `codfp` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codcliente`)
) TYPE=MyISAM COMMENT='clientes' AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `factulinea`
#

CREATE TABLE `factulinea` (
  `codfactura` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` tinytext NOT NULL,
  `codsubfamilia` tinytext NOT NULL,
  `codigo` tinytext NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codfactura`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `factulineap`
#

CREATE TABLE `factulineap` (
  `codfactura` varchar(12) NOT NULL default '0',
  `codproveedor` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` tinytext NOT NULL,
  `codsubfamilia` tinytext NOT NULL,
  `codigo` tinytext NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` float NOT NULL default '0',
  PRIMARY KEY  (`codfactura`,`codproveedor`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `factulineaptmp`
#

CREATE TABLE `factulineaptmp` (
  `codfactura` int(11) NOT NULL default '0',
  `codproveedor` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` tinytext NOT NULL,
  `codsubfamilia` tinytext NOT NULL,
  `codigo` tinytext NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` float NOT NULL default '0',
  PRIMARY KEY  (`codfactura`,`codproveedor`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `factulineatmp`
#

CREATE TABLE `factulineatmp` (
  `codfactura` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` tinytext NOT NULL,
  `codsubfamilia` tinytext NOT NULL,
  `codigo` tinytext NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codfactura`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `facturas`
#

CREATE TABLE `facturas` (
  `codfactura` int(11) NOT NULL auto_increment,
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codcliente` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  `codfp` tinyint(4) NOT NULL default '0',
  `estado` tinyint(4) NOT NULL default '0',
  `fechacobro` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`codfactura`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `facturasp`
#

CREATE TABLE `facturasp` (
  `codfactura` varchar(12) NOT NULL default '0',
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codproveedor` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  `codfp` tinyint(4) NOT NULL default '0',
  `estado` tinyint(4) NOT NULL default '0',
  `fechapago` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`codfactura`,`codproveedor`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `facturasptmp`
#

CREATE TABLE `facturasptmp` (
  `codfactura` int(11) NOT NULL default '0',
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codproveedor` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  `codfp` tinyint(4) NOT NULL default '0',
  `estado` tinyint(4) NOT NULL default '0',
  `fechapago` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`codfactura`,`codproveedor`)
) TYPE=MyISAM;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `facturastmp`
#

CREATE TABLE `facturastmp` (
  `codfactura` int(11) NOT NULL auto_increment,
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codcliente` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  `codfp` tinyint(4) NOT NULL default '0',
  `estado` tinyint(4) NOT NULL default '0',
  `fechacobro` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`codfactura`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `familia`
#

CREATE TABLE `familia` (
  `id` int(11) NOT NULL auto_increment,
  `codigo` text NOT NULL,
  `familia` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `formapago`
#

CREATE TABLE `formapago` (
  `codfp` tinyint(4) NOT NULL auto_increment,
  `denfp` tinytext NOT NULL,
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codfp`)
) TYPE=MyISAM COMMENT='formas de pago' AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `partelinea`
#

CREATE TABLE `partelinea` (
  `codparte` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codparte`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `partelineatmp`
#

CREATE TABLE `partelineatmp` (
  `codparte` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codparte`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `partes`
#

CREATE TABLE `partes` (
  `codparte` int(11) NOT NULL auto_increment,
  `codalbaran` int(11) NOT NULL default '0',
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codcliente` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codparte`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `partestmp`
#

CREATE TABLE `partestmp` (
  `codparte` int(11) NOT NULL auto_increment,
  `codalbaran` int(11) NOT NULL default '0',
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codcliente` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codparte`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------


#
# Estructura de tabla para la tabla `presupuestolinea`
#

CREATE TABLE `presupuestolinea` (
  `codpresupuesto` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codpresupuesto`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `presupuestolineatmp`
#

CREATE TABLE `presupuestolineatmp` (
  `codpresupuesto` int(11) NOT NULL default '0',
  `numlinea` tinyint(4) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  `precio` float NOT NULL default '0',
  `importe` float NOT NULL default '0',
  `dcto` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`codpresupuesto`,`numlinea`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `presupuestos`
#

CREATE TABLE `presupuestos` (
  `codpresupuesto` int(11) NOT NULL auto_increment,
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codcliente` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codpresupuesto`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `presupuestostmp`
#

CREATE TABLE `presupuestostmp` (
  `codpresupuesto` int(11) NOT NULL auto_increment,
  `fecha` date NOT NULL default '0000-00-00',
  `iva` tinyint(4) NOT NULL default '0',
  `codcliente` int(11) NOT NULL default '0',
  `anyo` int(11) NOT NULL default '0',
  `observaciones` text NOT NULL,
  PRIMARY KEY  (`codpresupuesto`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `proveedores`
#

CREATE TABLE `proveedores` (
  `codproveedor` int(11) NOT NULL auto_increment,
  `nombre` tinytext NOT NULL,
  `nif` tinytext NOT NULL,
  `fechaalta` date NOT NULL default '0000-00-00',
  `direccion` tinytext NOT NULL,
  `localidad` tinytext NOT NULL,
  `cp` tinytext NOT NULL,
  `codprovincia` tinyint(4) NOT NULL default '0',
  `telefono` tinytext NOT NULL,
  `fax` tinytext NOT NULL,
  `movil` tinytext NOT NULL,
  `web` tinytext NOT NULL,
  `email` tinytext NOT NULL,
  `persona` text NOT NULL,
  `cargo` text NOT NULL,
  `observaciones` longtext NOT NULL,
  PRIMARY KEY  (`codproveedor`)
) TYPE=MyISAM COMMENT='proveedores' AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `provincias`
#

CREATE TABLE `provincias` (
  `codprovincia` tinyint(4) NOT NULL auto_increment,
  `denprovincia` tinytext NOT NULL,
  PRIMARY KEY  (`codprovincia`)
) TYPE=MyISAM AUTO_INCREMENT=53 ;

# --------------------------------------------------------

#
# Volcar la base de datos para la tabla `provincias`
#

INSERT INTO `provincias` VALUES (1, 'Alava');
INSERT INTO `provincias` VALUES (2, 'Albacete');
INSERT INTO `provincias` VALUES (3, 'Alicante');
INSERT INTO `provincias` VALUES (4, 'Almera');
INSERT INTO `provincias` VALUES (5, 'Asturias');
INSERT INTO `provincias` VALUES (6, 'Avila');
INSERT INTO `provincias` VALUES (7, 'Badajoz');
INSERT INTO `provincias` VALUES (8, 'Baleares');
INSERT INTO `provincias` VALUES (9, 'Barcelona');
INSERT INTO `provincias` VALUES (10, 'Burgos');
INSERT INTO `provincias` VALUES (11, 'Cceres');
INSERT INTO `provincias` VALUES (12, 'Cadiz');
INSERT INTO `provincias` VALUES (13, 'Cantabria');
INSERT INTO `provincias` VALUES (14, 'Castelln');
INSERT INTO `provincias` VALUES (15, 'Ceuta');
INSERT INTO `provincias` VALUES (16, 'Ciudad Real');
INSERT INTO `provincias` VALUES (17, 'Crdoba');
INSERT INTO `provincias` VALUES (18, 'La Corua');
INSERT INTO `provincias` VALUES (19, 'Cuenca');
INSERT INTO `provincias` VALUES (20, 'Gerona');
INSERT INTO `provincias` VALUES (21, 'Granada');
INSERT INTO `provincias` VALUES (22, 'Guadalajara');
INSERT INTO `provincias` VALUES (23, 'Guipzcoa');
INSERT INTO `provincias` VALUES (24, 'Huelva');
INSERT INTO `provincias` VALUES (25, 'Huesca');
INSERT INTO `provincias` VALUES (26, 'Jan');
INSERT INTO `provincias` VALUES (27, 'Len');
INSERT INTO `provincias` VALUES (28, 'Lrida');
INSERT INTO `provincias` VALUES (29, 'Lugo');
INSERT INTO `provincias` VALUES (30, 'Madrid');
INSERT INTO `provincias` VALUES (31, 'Mlaga');
INSERT INTO `provincias` VALUES (32, 'Melilla');
INSERT INTO `provincias` VALUES (33, 'Murcia');
INSERT INTO `provincias` VALUES (34, 'Navarra');
INSERT INTO `provincias` VALUES (35, 'Orense');
INSERT INTO `provincias` VALUES (36, 'Palencia');
INSERT INTO `provincias` VALUES (37, 'Las Palmas');
INSERT INTO `provincias` VALUES (38, 'Pontevedra');
INSERT INTO `provincias` VALUES (39, 'La Rioja');
INSERT INTO `provincias` VALUES (40, 'Salamanca');
INSERT INTO `provincias` VALUES (41, 'Sta. Cruz de Tenerife');
INSERT INTO `provincias` VALUES (42, 'Segovia');
INSERT INTO `provincias` VALUES (43, 'Sevilla');
INSERT INTO `provincias` VALUES (44, 'Soria');
INSERT INTO `provincias` VALUES (45, 'Tarragona');
INSERT INTO `provincias` VALUES (46, 'Teruel');
INSERT INTO `provincias` VALUES (47, 'Toledo');
INSERT INTO `provincias` VALUES (48, 'Valencia');
INSERT INTO `provincias` VALUES (49, 'Valladolid');
INSERT INTO `provincias` VALUES (50, 'Vizcaya');
INSERT INTO `provincias` VALUES (51, 'Zamora');
INSERT INTO `provincias` VALUES (52, 'Zaragoza');

#
# Estructura de tabla para la tabla `rankingtmp`
#

CREATE TABLE `rankingtmp` (
  `id` int(11) NOT NULL auto_increment,
  `codfamilia` text NOT NULL,
  `codsubfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `cantidad` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `subfamilia`
#

CREATE TABLE `subfamilia` (
  `id` int(11) NOT NULL auto_increment,
  `idfamilia` text NOT NULL,
  `codigo` text NOT NULL,
  `subfamilia` text NOT NULL,
  UNIQUE KEY `id` (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

# --------------------------------------------------------

#
# Estructura de tabla para la tabla `tempartpro`
#

CREATE TABLE `tempartpro` (
  `id` int(11) NOT NULL auto_increment,
  `articulo` int(11) NOT NULL default '0',
  `proveedor` int(11) NOT NULL default '0',
  `precio` float NOT NULL default '0',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;
